import React from "react";
import { TranslatingFunction } from "../../translations";
export interface DatePickerProps {
    type?: "localdate" | "localdatetime";
    open?: boolean;
    value?: string;
    locale?: string;
    onChange(value: string): void;
    tr?: TranslatingFunction;
    onClose?(): void;
}
export declare const DatePicker: React.FC<DatePickerProps>;
export declare function useDatePickerInternals(props: DatePickerProps): {
    tr: (item: import("../../translations").TranslationItem) => any;
    years: import("../ChronoUnitStack/ChronoUnitStack").ChronoUnitStackItem[];
    months: import("../ChronoUnitStack/ChronoUnitStack").ChronoUnitStackItem[];
    hours: import("../ChronoUnitStack/ChronoUnitStack").ChronoUnitStackItem[];
    minutes: import("../ChronoUnitStack/ChronoUnitStack").ChronoUnitStackItem[];
    currentYear: number;
    currentMonth: number;
    currentDay: number;
    currentHour: number;
    currentMinute: number;
    handleChronoUnitChange: (unit: string, unitValue: number) => void;
    handleKeyDown: (e: React.KeyboardEvent<HTMLDivElement>) => void;
};
export declare function useDatePickerContainer(onClose: () => void): {
    containerRef: React.RefObject<HTMLDivElement>;
    onBlur: () => void;
    onClick: (e: React.SyntheticEvent) => void;
};
